/***
 * OW2 FraSCAti Examples: Soap Calculator
 * Copyright (C) 2009 INRIA, USTL
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org
 *
 * Author: Nicolas Dolet
 *
 * Contributor(s):
 */

package org.ow2.frascati.examples.soapcalc.api;

import javax.jws.WebMethod;
import javax.jws.WebService;

import org.osoa.sca.annotations.Service;

@Service
@WebService
public interface CalcService {

  @WebMethod
  public int add(int i, int j);
  
  @WebMethod
  public int sub(int i, int j);
  
  @WebMethod
  public int mult(int i, int j);
  
  @WebMethod
  public double div(int i, int j);

}
